%define _legacy_common_support 1

Name:          libvisual-plugins
Version:       0.4.0
Release:       %mkrel 24
Summary:       Visualisation plugins for applications based on libvisual
License:       LGPLv2+
Group:         System/Libraries
Url:           http://localhost.nl/~synap/libvisual-wiki/
Source0:       %{name}-%{version}.tar.bz2
Patch0:        %{name}-buffer-overflow.patch
#https://qa.mandriva.com/show_bug.cgi?id=49801
Patch1:        60_no-const-vispluginfo-in-nastyfft.patch
Patch2:        libvisual-plugins-0.4.0-link.patch
Patch3:        libvisual-plugins-0.4.0-fix-some-gcc-warnings.patch
Patch4:        libvisual-plugins-0.4.0-gcc5.patch
Patch5:        50_fix_po.patch
BuildRequires: pkgconfig(libvisual-0.4) >= %{version}
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: bison
BuildRequires: gettext-devel
Provides:      libvisual-nebulus
Provides:      libvisual-gforce

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

This package contains the libvisual example plugins.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# fix build on aarch64
autoreconf -vfi

%ifarch %{ix86}
export CFLAGS="-mmmx %{optflags}"
%endif
%configure --disable-gstreamer-plugin
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-0.4

%files -f %{name}-0.4.lang
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/libvisual*/
%{_datadir}/%{name}*/


%changelog
* Tue Aug 04 2020 joequant <joequant> 0.4.0-24.mga8
+ Revision: 1610995
- fix build

* Tue Feb 11 2020 umeabot <umeabot> 0.4.0-23.mga8
+ Revision: 1489138
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 11 2018 wally <wally> 0.4.0-22.mga7
+ Revision: 1258474
- add patch from Debian to fix build
- fix build on aarch64
- drop old obsoletes
+ daviddavid <daviddavid>
- disable the GStreamer visualization plugin

* Wed Aug 03 2016 daviddavid <daviddavid> 0.4.0-21.mga6
+ Revision: 1044319
- add patch4 to fix compilation with gcc5
- add patch3 to fix various GCC warnings
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-20.mga5
+ Revision: 748524
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-19.mga5
+ Revision: 681846
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-18.mga4
+ Revision: 507484
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-17.mga3
+ Revision: 358382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 22 2011 fwang <fwang> 0.4.0-16.mga2
+ Revision: 146744
- drop .la files

* Sat Jun 18 2011 ahmad <ahmad> 0.4.0-15.mga2
+ Revision: 109337
- Add BR libgtk+2-devel to enable building the gdkpixbuf image loader plugin
- imported package libvisual-plugins

